basePath: /
definitions:
  domain.JobProvider:
    enum:
    - 0
    - 1
    - 2
    - 3
    - 4
    - 5
    type: integer
    x-enum-varnames:
    - LinkedIn
    - Indeed
    - Glassdoor
    - Bayt
    - TokyoDev
    - JapanDev
  ports.CreateJobCommand:
    properties:
      fwt:
        type: string
      keywords:
        type: string
      location:
        type: string
      numPages:
        type: integer
      provider:
        $ref: '#/definitions/domain.JobProvider'
    type: object
info:
  contact: {}
  description: API for managing job scraping operations
  title: Jobs Scraper API
  version: "1.0"
paths:
  /jobs:
    post:
      consumes:
      - application/json
      description: Creates a new job with the provided specifications
      parameters:
      - description: Job creation data
        in: body
        name: job
        required: true
        schema:
          $ref: '#/definitions/ports.CreateJobCommand'
      produces:
      - application/json
      responses:
        "201":
          description: Successfully created job
          schema:
            additionalProperties:
              type: string
            type: object
        "400":
          description: Invalid request data
          schema:
            additionalProperties:
              type: string
            type: object
        "500":
          description: Internal server error
          schema:
            additionalProperties:
              type: string
            type: object
      summary: Create a new job
      tags:
      - jobs
swagger: "2.0"
